View Issue Details

IDProjectCategoryView StatusLast Update
0000295Cinelerra-GG[All Projects] Featurepublic2019-09-10 21:41
ReporterAndrew-RAssigned ToPhyllisSmith 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2019-09 
Summary0000295: Please remove timebomb.{c|h} from cinelerra src
DescriptionI actually tried to remove them, and Cinelerra compiles ok.

Commit in CinCV repo (mirror):
https://gitlab.com/ratopi/CinelerraCV/commit/fb75e6546341bc7d4fdfb2a9cfd03e5644b13d02
("Removed unused TimeBomb class")
TagsNo tags attached.

Activities

PhyllisSmith

PhyllisSmith

2019-09-10 21:41

manager   ~0002107

Checked into GIT. Will be built in at end of month.
PhyllisSmith

PhyllisSmith

2019-09-10 03:17

manager   ~0002098

Timebomb.c and .h have been removed as recommended.
Generally GG's philosophy is not to delete unused code in case it becomes useful in the future or if it proves to be instructional. However, timebomb certainly is not going to be useful.

Issue History

Date Modified Username Field Change
2019-09-06 02:12 Andrew-R New Issue
2019-09-07 00:26 PhyllisSmith Assigned To => PhyllisSmith
2019-09-07 00:26 PhyllisSmith Status new => acknowledged
2019-09-10 03:17 PhyllisSmith Note Added: 0002098
2019-09-10 21:41 PhyllisSmith Status acknowledged => closed
2019-09-10 21:41 PhyllisSmith Resolution open => fixed
2019-09-10 21:41 PhyllisSmith Fixed in Version => 2019-09
2019-09-10 21:41 PhyllisSmith Note Added: 0002107